using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Self_Project
{
    public partial class DeleteBackUP : Form
    {
        public DeleteBackUP()
        {
            InitializeComponent();
        }
        BackUP B = new BackUP();
        
        private void DeleteBackUP_Load(object sender, EventArgs e)
        {
            B.LoadBackUPInformations(DGV1);
            if (DGV1.Rows.Count == 0) btn_OK.Enabled = false;
        }

        private void btn_OK_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("آیا فایل انتخاب شده، حذف شود ؟", "حذف فایل کپی پشتیبان", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.No) return;
            int Makan = 0;
            try
            {
                Makan = DGV1.CurrentCell.RowIndex;
            }
            catch
            {
                return;
            }
            //------------------------------------
            try
            {
                B.DeleteBackUP(DGV1.Rows[Makan].Cells[2].Value.ToString());
                MessageBox.Show("فایل انتخاب شده با موفقیت حذف شد", "حذف فایل", MessageBoxButtons.OK, MessageBoxIcon.Information);
                DeleteBackUP_Load(null, null);
            }
            catch
            {
                MessageBox.Show("سیستم قادر به حذف فایل مورد نظر نیست", "حذف فایل", MessageBoxButtons.OK, MessageBoxIcon.Stop);
            }
        }

        private void btn_Cancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }       
    }
}